package com.keao.edu.user.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(tenant_info):
 */
public class TenantInfo {

	/**  */
	private Integer id;
	
	/**  */
	private String name;
	
	/**  */
	private String address;

	@ApiModelProperty(value = "管理员名",required = false)
	private String domainName;

	private String logoUrl;

	@ApiModelProperty(value = "机构名称",required = false)
	private String contactName;

	@ApiModelProperty(value = "机构手机",required = false)
	private String contactPhone;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setAddress(String address){
		this.address = address;
	}
	
	public String getAddress(){
		return this.address;
	}
			
	public void setDomainName(String domainName){
		this.domainName = domainName;
	}
	
	public String getDomainName(){
		return this.domainName;
	}
			
	public void setLogoUrl(String logoUrl){
		this.logoUrl = logoUrl;
	}
	
	public String getLogoUrl(){
		return this.logoUrl;
	}
			
	public void setContactName(String contactName){
		this.contactName = contactName;
	}
	
	public String getContactName(){
		return this.contactName;
	}
			
	public void setContactPhone(String contactPhone){
		this.contactPhone = contactPhone;
	}
	
	public String getContactPhone(){
		return this.contactPhone;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
